Table of Contents

Class: RadioSelect | ../bkchem/Pmw.py
--- | ---
Base Classes |
--- | ---
MegaWidget MegaArchetype
Methods |
--- | ---
__init__ __setSingleValue add button deleteall getcurselection | getvalue index invoke numbuttons setvalue
| __init__
    __init__ (
            self,
            parent=None,
            **kw,
            )
Exceptions |
--- | ---
ValueError, 'bad buttontype option "' + self [ 'buttontype' ] + '": should be button, radiobutton or checkbutton' ValueError, 'bad orient option ' + repr(self [ 'orient' ] ) + ': must be either \'horizontal\' or \'vertical\'' ValueError, 'bad selectmode option "' + self [ 'selectmode' ] + '": should be single or multiple'
| __setSingleValue
    __setSingleValue ( self,  value )
| add
    add (
            self,
            componentName,
            **kw,
            )
Exceptions |
--- | ---
ValueError, 'button "%s" already exists' % componentName
| button
    button ( self,  buttonIndex )
| deleteall
    deleteall ( self )
| getcurselection
    getcurselection ( self )
| getvalue
    getvalue ( self )
| index
    index ( self,  index )
Exceptions |
--- | ---
ValueError, 'RadioSelect has no buttons' ValueError, 'bad index "%s": must be %s' %( index, validValues ) ValueError, 'index "%s" is out of range' % index
| invoke
    invoke ( self,  index )
| numbuttons
    numbuttons ( self )
| setvalue
    setvalue ( self,  textOrList )

Table of Contents

This document was automatically generated on Tue Dec 12 13:46:43 2006 by HappyDoc version 2.1